# Contributing

Thank you for your interest in contributing to the Primrose framework! We'd love for you to get involved, so please read the information below for creating an issue, creating a pull request, and commit message format.


## Creating an Issue

If you have a question about the Primrose framework, please ask in the Primrose channel through the [WebVR Slack Community](https://webvr-slack.herokuapp.com/) or in the [Primrose subreddit](https://www.reddit.com/r/primrosevr).

If you think you have found a bug, or have a new feature idea, please start by making sure it hasn't already been reported. You can search through existing issues to see if there is a similar one reported (include closed issues as it may have been closed with a solution). When creating an issue, please thoroughly explain the problem.


## Creating a Pull Request

If you are contributing a bug-fix or a very minor addition, feel free to do a pull request on the master branch.

If it is something else, create a new (or existing) feature branch (eg: feature/my_feature) and issue a pull request on that.

If you have written a game or demo that shows Primrose in use, then please get in touch at [kbouwser@gmail.com](mailto:kbouwser@gmail.com). We'd love to hear from you!



## Commit Message Format

We ask that any git commit messages made follow the formats below. This helps provide more readable messages that are easier to follow when looking through the project history.

`type: subject`

For `type`, please include one of the following:
* fix: A bug fix
* feat: A new feature
* docs: Documentation only changes
* style: Changes that do not affect the meaning of the code (white-space, formatting, missing semi-colons, etc)
* refactor: A code change that neither fixes a bug nor adds a feature
* perf: A code change that improves performance
* test: Adding missing tests
* chore: Changes to the build process or auxiliary tools and libraries such as documentation generation

For `subject`, brevity is the soul of wit. Please try keep your commit description to a minimum.
