# Primrose

Primrose is a WebVR framework that lets web developers create virtual reality experiences for standard web browsers on desktop and mobile devices alike.

WebVR is an [experimental Javascript API](https://developer.mozilla.org/en-US/docs/Web/API/WebVR_API) that provides access to Virtual Reality devices and peripherals in the browser. See [WebVR.info](https://webvr.info/) for more information and resources.


# Getting started with Primrose

## Contributing

If you're interested in contributing to the framework, we'd love to have you involved. Primrose is open to contributors of all skill levels and we are ready and willing to help beginners work through issues. Please [read the guidelines](https://github.com/NotionTheory/Primrose/blob/master/CONTRIBUTING.md) for contributing before doing so.

If you don't want to write code or you don't have a lot of spare time, you still can help! Testing the various demos to make sure we haven't broken any features and filing issues when we do is very important.

Our GitHub contributors so far:

https://github.com/NotionTheory/Primrose/contributors
You can add your name to it! :)

The easiest way to get started is to check the issues list for issues with the `first-timers-only` label.

## Issues

Our [Issues List](https://github.com/NotionTheory/Primrose/issues) is here on GitHub. If you're a brand new developer, please take a look at our Issues List and find an issue labeled `first-timers-only`. These are introductory tasks that we have reserved that will gently guide you into getting the project setup on your machine and get used to working on the code base.

<a href="http://www.firsttimersonly.com/"><img src="http://img.shields.io/badge/first--timers--only-friendly-blue.svg?style=flat-square" alt="first-timers-only"></a>

## Project Setup

To get started with Primrose, follow this <a href="https://github.com/NotionTheory/Primrose/wiki/Working-on-Primrose">setup guide</a>.

# Licensing

Primrose is free, open source software (GPLv3) and may readily be used with other FOSS projects.
